<ion-header>
    <ion-toolbar class="no-padding ion-no-margin">
        <div class="row marginless paddingless">
            <div class="col l1 m2 s3 paddingless">
                <ion-img src="assets/imgs/logo.png" alt="logo"></ion-img>
            </div>
            <div class="col l11 m10 s9 left-align paddingless">
                <ion-title class="toolbar-title marginless"> Votre numéro</ion-title>
            </div>
        </div>
    </ion-toolbar>
</ion-header>
<ion-content slot="fixed">
    <ion-row class="row">
        <ion-col size="3">
            <ion-input type="tel" placeholder="+229" maxlength="3" value="+229" class="input-field"></ion-input>
        </ion-col>
        <ion-col>
            <ion-input class="input-field" type="tel" [attr.maxlength]="8" [(ngModel)]="user.number" required placeholder="Numéro à 8 chiffres" (keyup)="validateNumbers($event)" size="8"></ion-input>
            <div class="paddingless right-align flow-text">
                <span class=" red-text accent-2"><ion-note color="danger"> {{warning}}</ion-note> </span>
            </div>
        </ion-col>
    </ion-row>
</ion-content>

<ion-footer class="ion-no-border">
    <ion-toolbar>
        <ion-button size="large" expand="full" fill="solid" type="submit" class="waves-effect waves-light btn card-panel red darken-1 white-text btn-large" [disabled]="checkIsEnableds()" (click)="saveNumber()" tappable><span class="white-text">continuer</span></ion-button>
    </ion-toolbar>
</ion-footer>